Add items to an item collection
Adds one or more items to the specified item collection. This operation is idempotent — items already in the collection are skipped. Every identifier must reference an existing item in the knowledge store.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
collection_id
The unique identifier of the knowledge store item collection.
Request
This endpoint expects an object.
item_ids
The unique identifiers of the items to add to the collection. Include up to 500 identifiers per request.
Response
The items have been successfully added to the collection.
_id
The unique identifier of the item collection.
knowledge_store_id
The unique identifier of the knowledge store this collection belongs to.
name
The name of the item collection.
description
The description of the item collection.
metadata
Custom metadata for the item collection.
member_count
The number of items in the collection.
created_at
The date and time when the item collection was created, in the RFC 3339 format.
updated_at
The date and time when the item collection was last updated, in the RFC 3339 format.
Errors
400
Bad Request Error